=== debian/changelog ===
ros-indigo-custom-landmark-2d (1.0.1-0trusty) trusty; urgency=high

  * add launch files
  * add argc check for executables and more documentations
  * Contributors: Xi (Matthew) Liu, liux44

 -- Matthew Liu <liux44@cs.washington.edu>  Tue, 06 Mar 2018 08:00:00 -0000

ros-indigo-custom-landmark-2d (1.0.0-0trusty) trusty; urgency=high

  * Initial release of custom_landmark_2d
  * Contributors: Matthew Liu

 -- Matthew Liu <liux44@cs.washington.edu>  Tue, 13 Feb 2018 08:00:00 -0000
