=== debian/control ===
Source: ros-indigo-custom-landmark-2d
Section: misc
Priority: extra
Maintainer: Matthew Liu <liux44@cs.washington.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-image-geometry, ros-indigo-image-transport, ros-indigo-pcl-ros, ros-indigo-roscpp, ros-indigo-sensor-msgs
Homepage: http://wiki.ros.org/custom_landmark_2d
Standards-Version: 3.9.2

Package: ros-indigo-custom-landmark-2d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-cv-bridge, ros-indigo-image-geometry, ros-indigo-image-transport, ros-indigo-pcl-ros, ros-indigo-roscpp, ros-indigo-sensor-msgs
Description: Simple object recognition library for 2D images, with the additional functionality of projecting matched 2D objects to 3D pointclouds.
 A matching alogrithm is used underneath.
